Requires Proper Permissions for user for each separate System Utility Endpoint. Configure permissions as admin user on web interface in Settings -> Manage Users section.
Endpoints
POST /api/system/configReset Reset all configuration to factory default
POST /api/system/reboot Reboot PDU.
POST /api/system/firmware Upload firmware binary to firmware upgrade. If valid binary, upgrade occurs immediately
Factory Reset Configuration
Call this endpoint to return PDU to factory default
POST /api/system/configReset Reset all configuration to factory defaultReboot PDU
Call this endpoint to reboot the controller module of the PDU. This does not affect the power going to the outlets.
POST /api/system/reboot Reboot PDU.Upload Firmware Binary
With appropriate firmware files, update your SynLink PDU Operating System via HTTP API.
POST /api/system/firmware Upload firmware binary to firmware upgrade. If valid binary, upgrade occurs immediatelyExample Request
curl \
-F filename=@/home/user/file_location \
--header 'Cookie: SPID=<user-token-here>'
http://192.168.1.100/api/system/firmware